View Issue Details

IDProjectCategoryView StatusLast Update
0001551SOGoSOPEpublic2016-06-09 06:45
Reporterfoucart Assigned Towsourdeau 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.3.10 
Fixed in Version1.3.13 
Summary0001551: description filed truncated after new line in sogo 1.3.11
Description

version is 1.3.11
CentOs 5.7 32bits
in thunderbird or web interface
Any user can only see the first line od the description field
=>same thing in old closed bug : 0001523

TagsNo tags attached.

Relationships

has duplicate 0001630 closedludovic Multiline comments for calender entries broken 

Activities

wsourdeau

wsourdeau

2011-12-15 09:38

viewer   ~0003171

Which version of sope-gdl1-postgres are you using?

foucart

foucart

2011-12-15 10:00

reporter   ~0003172

sope-gdl1-postgres 4.9-20111212_1664.el5.1

  • postgresql 8.1.23-1.el5_7.3
Wolf

Wolf

2011-12-15 15:58

reporter   ~0003174

same problem exists for CentOs 5.7 x86_64
tested with firefox 3.6.24, Safari 5.0.6
No display problem with iCal Version 3.0.8 (1287) but the entries with more then one Line are not updated any more (see screenshots)

2011-12-15 16:02

 

Webfrontend.jpg (129,507 bytes)   
Webfrontend.jpg (129,507 bytes)   

2011-12-15 16:04

 

iCal.jpg (133,221 bytes)   
iCal.jpg (133,221 bytes)   
hmontoliu

hmontoliu

2011-12-27 06:17

reporter   ~0003200

Last edited: 2011-12-27 07:47

Same problem here with lightning or web interface.

postgresql-8.1.23-1.el5_7.3
sogo-1.3.11-1.el5
sope49-gdl1-postgresql-4.9-20111212_1664.el5.1

The DESCRIPTION field only shows the first line either in lightning or in the web interface, however the DB stores rightly the filed when the appointment is created either from lightning or from web interface: "DESCRIPTION:test\nline1\nline2\nline3\r\n"

However if the appointment is edited then the field becomes (in the data base, nothing happens in the gui): DESCRIPTION:test\r\nX-LIC-ERROR;X-LIC-ERRORTYPE=COMPONENT-PARSE-ERROR:Got a data line, but co\r\n uld not find a property name or component begin tag: line3\r\nSEQUENCE:6\r\nX-MOZ-GENERATION:2

hmontoliu

hmontoliu

2011-12-27 07:06

reporter   ~0003201

I can confirm that the problem is still present with last sope49-gdl1-postgresql

postgresql-8.1.23-1.el5_7.3
sogo-1.3.11-1.el5
sope49-gdl1-postgresql-4.9-20111226_1664.el5.1

wiener

wiener

2012-01-04 10:56

reporter   ~0003256

Last edited: 2012-01-04 11:01

Hi all we have the same problem. We are also running CentOS 5 with the package versions as stated above:

sogo-1.3.11-1.el5
sope49-gdl1-postgresql-4.9-20111212_1664.el5.1
postgresql-8.1.23-1.el5_7.3

We have verified that the data is actually written succesfully to the postgres database with a pg_dump command. However the gui is not showing the data when reopening the task or events. We have tried Thunderbird Lighning, Kde Organizer and the web-frontend. All show the same problem, that the data is only shown until the first new-line.

When looking at the db dump it can be seen that older entries which are displayed fine have a sequence of \n instead of \n. Could this be the problem?

hmontoliu

hmontoliu

2012-01-23 15:13

reporter   ~0003307

Product version should be set to 1.3.11

wiener

wiener

2012-02-14 17:08

reporter   ~0003437

Last edited: 2012-02-14 17:10

Update today to version 1.3.12a and found that the error is still present. Has anyone found the root cause or a workaround for this?
There was also another new bug report 0001630 opened concerning this issue.

chris_r

chris_r

2012-02-15 00:57

reporter   ~0003439

Our configuration (see bug report 0001630) is the following:

postgresql-server-8.1.23-1.el5_7.3
postgresql-libs-8.1.23-1.el5_7.3
sope49-gdl1-postgresql-4.9-20120214_1664.el5.1
postgresql-8.1.23-1.el5_7.3
sogo-1.3.12c-1.el5

I verified that this bug happens when reading from the database, as there is multiline data within the table:

psql -U sogo sogo -c "SELECT * FROM sogo<myuser><randomhash>;"

...
DESCRIPTION:test1
test2
...

hmontoliu

hmontoliu

2012-02-15 04:01

reporter   ~0003440

Last edited: 2012-02-15 04:03

I can confirm that the bug is still present in 1.3.12c

postgresql-8.1.23-1.el5_7.3
postgresql-libs-8.1.23-1.el5_7.3
sope49-gdl1-postgresql-4.9-20120214_1664.el5.1
sogo-1.3.12c-1.el5
postgresql-server-8.1.23-1.el5_7.3

Please update "Product Version" in this report to reflect the fact that this bug has been present either in 1.3.11 and 1.3.12

ludovic

ludovic

2012-02-15 15:28

administrator   ~0003442

Can you reproduce it on sogo-demo.inverse.ca ?

Please show ALL SOPE packages you're using.

hmontoliu

hmontoliu

2012-02-15 16:33

reporter   ~0003443

@ludovic: No, it's not reproducible on sogo-demo.inverse.ca

Sope packages:

sope49-core-4.9-20120214_1664.el5.1
sope49-appserver-4.9-20120214_1664.el5.1
sope49-cards-1.3.12c-1.el5
sope49-sbjson-2.3.1-20120214_1664.el5.1
sope49-xml-4.9-20120214_1664.el5.1
sope49-gdl1-4.9-20120214_1664.el5.1
sope49-mime-4.9-20120214_1664.el5.1
sope49-ldap-4.9-20120214_1664.el5.1
sope49-gdl1-postgresql-4.9-20120214_1664.el5.1
sope49-gdl1-contentstore-1.3.12c-1.el5

ludovic

ludovic

2012-02-15 16:35

administrator   ~0003444

Show your complete Apache and PostgreSQL configuration.

hmontoliu

hmontoliu

2012-02-15 16:55

reporter   ~0003445

Apache:

Alias /SOGo.woa/WebServerResources/ \
/usr/lib/GNUstep/SOGo/WebServerResources/
Alias /SOGo/WebServerResources/ \
/usr/lib/GNUstep/SOGo/WebServerResources/
AliasMatch /SOGo/so/ControlPanel/Products/(.)/Resources/(.) \
/usr/lib/GNUstep/SOGo/$1.SOGo/Resources/$2

<Directory /usr/lib/GNUstep/SOGo/>
AllowOverride None
Order deny,allow
Allow from all
</Directory>

<LocationMatch "^/SOGo/so/ControlPanel/Products/.UI/Resources/..(jpg|png|gif|css|js)">
SetHandler default-handler
</LocationMatch>

ProxyRequests Off
SetEnv proxy-nokeepalive 1
ProxyPreserveHost On

ProxyPass /SOGo http://127.0.0.1:20000/SOGo retry=0

<Proxy http://127.0.0.1:20000/SOGo>
RequestHeader set "x-webobjects-server-port" "443"
RequestHeader set "x-webobjects-server-name" "someserver.some.where"
RequestHeader set "x-webobjects-server-url" "https://someserver.some.where&quot;

RequestHeader set "x-webobjects-server-protocol" "HTTP/1.0"
RequestHeader set "x-webobjects-remote-host" %{REMOTE_HOST}e env=REMOTE_HOST

AddDefaultCharset UTF-8

Order allow,deny
Allow from all
</Proxy>

RewriteEngine On
RewriteRule ^/SOGo/(.*)$ /SOGo/$1 [env=REMOTE_HOST:%{REMOTE_ADDR},PT]

PostgreSQL

grep '^[^# ]' /var/lib/pgsql/data/postgresql.conf
max_connections = 100
shared_buffers = 1000 # min 16 or max_connections*2, 8KB each
redirect_stderr = on # Enable capturing of stderr into log
log_directory = 'pg_log' # Directory where log files are written
log_filename = 'postgresql-%a.log' # Log file name pattern.
log_truncate_on_rotation = on # If on, any existing log file of the same
log_rotation_age = 1440 # Automatic rotation of logfiles will
log_rotation_size = 0 # Automatic rotation of logfiles will
lc_messages = 'es_ES.UTF-8' # locale for system error message
lc_monetary = 'es_ES.UTF-8' # locale for monetary formatting
lc_numeric = 'es_ES.UTF-8' # locale for number formatting
lc_time = 'es_ES.UTF-8' # locale for time formatting

wiener

wiener

2012-02-15 17:18

reporter   ~0003446

Last edited: 2012-02-15 17:29

Apache

Alias /SOGo.woa/WebServerResources/ \
/usr/lib64/GNUstep/SOGo/WebServerResources/
Alias /SOGo/WebServerResources/ \
/usr/lib64/GNUstep/SOGo/WebServerResources/
AliasMatch /SOGo/so/ControlPanel/Products/(.)/Resources/(.) \
/usr/lib64/GNUstep/SOGo/$1.SOGo/Resources/$2

<Directory /usr/lib64/GNUstep/SOGo/>
AllowOverride None
Order deny,allow
Allow from all
</Directory>

<LocationMatch "^/SOGo/so/ControlPanel/Products/.UI/Resources/..(jpg|png|gif|css|js)">
SetHandler default-handler
</LocationMatch>

ProxyRequests Off
SetEnv proxy-nokeepalive 1
ProxyPreserveHost On
ProxyPass /SOGo http://127.0.0.1:20000/SOGo retry=0

<Proxy http://127.0.0.1:20000/SOGo>
RequestHeader set "x-webobjects-server-port" "443"
RequestHeader set "x-webobjects-server-name" "www.my.company.de"
RequestHeader set "x-webobjects-server-url" "https://www.my.company.de&quot;
RequestHeader set "x-webobjects-server-protocol" "HTTP/1.0"
RequestHeader set "x-webobjects-remote-host" %{REMOTE_HOST}e env=REMOTE_HOST
AddDefaultCharset UTF-8
Order allow,deny
Allow from all
</Proxy>

RewriteEngine On
RewriteRule ^/SOGo/(.*)$ /SOGo/$1 [env=REMOTE_HOST:%{REMOTE_ADDR},PT]

Postgres

In our postgres.log file I found a lot of the following messages:
ERROR: parameter "standard_conforming_strings" cannot be changed

logfile is default centos5 install I would say, only the following options are set the rest is default.
postgresql version is: postgresql-server-8.1.23-1.el5_7.3

listen_addresses = 'localhost' # what IP address(es) to listen on;
redirect_stderr = on # Enable capturing of stderr into log
log_directory = 'pg_log' # Directory where log files are written
log_filename = 'postgresql-%a.log' # Log file name pattern.
log_truncate_on_rotation = on # If on, any existing log file of the same
log_rotation_age = 1440 # Automatic rotation of logfiles will
log_rotation_size = 0 # Automatic rotation of logfiles will

wsourdeau

wsourdeau

2012-02-15 17:31

viewer   ~0003447

Last edited: 2012-02-15 17:58

With 8.3 on Debian, it works like a charm. With 8.1 on CentOS I can reproduce the issue.

wsourdeau

wsourdeau

2012-02-15 18:21

viewer   ~0003448

What happens if you add standard_conforming_strings = on in your postgresql.conf ? 8.1 refuses to start but 8.2 is supposed to accept this.

wsourdeau

wsourdeau

2012-02-15 22:29

viewer   ~0003449

Forget about everything above. This has been fixed in commit 8c2e4c4dc578c74711ed9d90287f0dfd342f4361. Please try the next nightlies for sope-gdl1-postgresql.

Issue History

Date Modified Username Field Change
2011-12-15 09:36 foucart New Issue
2011-12-15 09:38 wsourdeau Note Added: 0003171
2011-12-15 10:00 foucart Note Added: 0003172
2011-12-15 15:58 Wolf Note Added: 0003174
2011-12-15 16:02 Wolf File Added: Webfrontend.jpg
2011-12-15 16:04 Wolf File Added: iCal.jpg
2011-12-27 06:17 hmontoliu Note Added: 0003200
2011-12-27 06:22 hmontoliu Note Edited: 0003200
2011-12-27 06:24 hmontoliu Note Edited: 0003200
2011-12-27 06:24 hmontoliu Note Edited: 0003200
2011-12-27 06:27 hmontoliu Note Edited: 0003200
2011-12-27 07:06 hmontoliu Note Added: 0003201
2011-12-27 07:47 hmontoliu Note Edited: 0003200
2012-01-04 10:56 wiener Note Added: 0003256
2012-01-04 11:01 wiener Note Edited: 0003256
2012-01-23 15:13 hmontoliu Note Added: 0003307
2012-02-14 17:08 wiener Note Added: 0003437
2012-02-14 17:10 wiener Note Edited: 0003437
2012-02-14 17:10 wiener Note Edited: 0003437
2012-02-15 00:57 chris_r Note Added: 0003439
2012-02-15 04:01 hmontoliu Note Added: 0003440
2012-02-15 04:03 hmontoliu Note Edited: 0003440
2012-02-15 09:57 Christian Mack Relationship added has duplicate 0001630
2012-02-15 15:28 ludovic Note Added: 0003442
2012-02-15 16:33 hmontoliu Note Added: 0003443
2012-02-15 16:35 ludovic Note Added: 0003444
2012-02-15 16:55 hmontoliu Note Added: 0003445
2012-02-15 17:18 wiener Note Added: 0003446
2012-02-15 17:22 wiener Note Edited: 0003446
2012-02-15 17:29 wiener Note Edited: 0003446
2012-02-15 17:31 wsourdeau Note Added: 0003447
2012-02-15 17:58 wsourdeau Note Edited: 0003447
2012-02-15 17:58 wsourdeau Note Edited: 0003447
2012-02-15 18:21 wsourdeau Note Added: 0003448
2012-02-15 22:29 wsourdeau Note Added: 0003449
2012-02-15 22:29 wsourdeau Status new => resolved
2012-02-15 22:29 wsourdeau Fixed in Version => 1.3.13
2012-02-15 22:29 wsourdeau Resolution open => fixed
2012-02-15 22:29 wsourdeau Assigned To => wsourdeau